%define debug_package %{nil}
%global srcname eredis

Name:    eredis
Version: 1.2.0
Release: 1%{?dist}

License: ASL 2.0
Summary: Non-blocking Redis client with focus on performance and robustness.
URL:     https://github.com/wooga/eredis
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: redis-devel
BuildRequires: erlang-rebar


%description
Non-blocking Redis client with focus on performance and robustness.

Supported Redis features:

- Any command, through eredis:q/2
- Transactions
- Pipelining
- Authentication & multiple dbs
- Pubsub


%prep
%autosetup -n %{name}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}

#install -p -D -m 755 priv/bin/* --target-directory=%{buildroot}%{erlang_appdir}/priv/bin/
rm -rf %{buildroot}%{erlang_appdir}/ebin/basho_bench_driver_erldis.beam
rm -rf %{buildroot}%{erlang_appdir}/ebin/basho_bench_driver_eredis.beam

%check
# The unit tests do not pass: https://github.com/processone/eimp/issues/5
echo "Skipping tests."


%files
%license LICENSE
%doc README.md AUTHORS CHANGELOG.md
%{_erllibdir}/*


%changelog
* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
